<!-- Popup de editar de usuarios -->
<form (ngSubmit)="onSubmit()" [formGroup]="userEditForm">
  <div mat-dialog-content >
    <mat-form-field class="full-content">
      <input [value]="userName" matInput placeholder="Usuario" type="text" formControlName="user" #user>
      <!-- <mat-error *ngIf="userEditForm.get('user').invalid && userEditForm.get('user').errors.required && userEditForm.get('user').dirty">
          Usuario
      </mat-error> -->
      <mat-error *ngIf="userEditForm.get('user').invalid && userEditForm.get('user').errors.minlength && userEditForm.get('user').dirty">
        El usuario debe tener mínimo 4 caracteres
      </mat-error>
    </mat-form-field>
    <mat-form-field class="full-content">
      <input appNoblank matInput placeholder="Contraseña" type="text" [type]="hide ? 'text' : 'password'" formControlName="pass" #pass >
      <!-- <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon> -->
      <!-- <mat-error *ngIf="userEditForm.get('pass').invalid && userEditForm.get('pass').errors.required && userEditForm.get('pass').dirty">
          Contraseña
      </mat-error>
      <mat-error *ngIf="userEditForm.get('pass').invalid && userEditForm.get('pass').errors.minlength && userEditForm.get('pass').dirty">
        La contraseña debe tener mínimo 4 carácteres
      </mat-error> -->
    </mat-form-field>
  </div>
  <div mat-dialog-actions align="center">
    <button mat-raised-button type="button" (click)="onNoClick()" class="center-elem buttonDefault">Cerrar</button>
    <button mat-raised-button color="warn" type="submit" cdkFocusInitial class="center-elem">Guardar</button>
  </div>
</form>

